### Method

# Fwupd Client update_metadata_bytes

since: 1.4.5

#### Declaration [src]

    gboolean
    fwupd_client_update_metadata_bytes (
      FwupdClient* self,
      const gchar* remote_id,
      GBytes* metadata,
      GBytes* signature,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Updates the metadata. This allows a session process to download the metadata and metadata signing file to be passed into the daemon to be checked and parsed.

The `remote_id` allows the firmware to be tagged so that the remote can be matched when the firmware is downloaded.

Available since: 1.4.5

#### Parameters

`remote_id`

  Type: `const gchar*`

  Remote ID, e.g. `lvfs-testing`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`metadata`

  Type: `GBytes`

  XML metadata data.

  The data is owned by the caller of the method.

`signature`

  Type: `GBytes`

  Signature data.

  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` for success.